<?php
include_once 'wp.php';
global $wpdb;
$wolf_sidebars_table = $wpdb->prefix.'wolf_sidebars';
$sidebars = $wpdb->get_results("SELECT * FROM $wolf_sidebars_table WHERE type = 'widgetarea' ORDER BY position");
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<title><?php _e( 'Widget Area', 'wolf' ); ?></title>
<link rel="stylesheet" href="<?php echo admin_url('css/wp-admin.css'); ?>">
<link rel="stylesheet" href="<?php echo admin_url('css/colors-fresh.css'); ?>">
<link rel="stylesheet" href="<?php echo plugins_url('wolf-sidebars/tinymce/popup.css'); ?>">
<script type='text/javascript' src="<?php echo includes_url('js/jquery/jquery.js'); ?>"></script>
<script type='text/javascript' src="<?php echo includes_url('js/tinymce/tiny_mce_popup.js'); ?>"></script>
<script type="text/javascript">

var ButtonDialog = {
	local_ed : 'ed',
	init : function(ed) {
		ButtonDialog.local_ed = ed;
		tinyMCEPopup.resizeToInnerSize();
	},
	insert : function insertButton(ed) {
	 
		// Try and remove existing style / blockquote
		tinyMCEPopup.execCommand('mceRemoveNode', false, null);
		 
		// set up variables to contain our input values
		var id = jQuery('#widget-area').val();	

		var output = '';


		output = '[wolf_widgetarea';
		output += ' id="' + id + '"';
		output += ']';
		
		// setup the output of our shortcode
		

		ed.selection.setContent (output);
		 
		// Return
		tinyMCEPopup.close();
	}
};
tinyMCEPopup.onInit.add(ButtonDialog.init, ButtonDialog);

</script>
</head>
<body>
<div id="wolf-popup-head">
	<h1 style="color:#0d0d0d; margin-bottom:10px; font-family:'Helvetica Neue', Helvetica, Arial, sans-serif;">
		<?php _e('Select a Widget Area', 'wolf'); ?>
	</h1>
</div>
<div id="wolf-popup">
	<form>
		<div class="wolf-field">
			<?php if ( $sidebars ) : ?>
			<select name="widget-area" id="widget-area">
				<?php foreach ($sidebars as $s): ?>
					<option value="<?php echo $s->wp_id; ?>"><?php echo $s->name; ?></option>
				<?php endforeach ?>
			</select>
			<?php else : ?>
			<p><?php _e( 'No widget area created yet', 'wolf' ); ?></p>
			<?php endif; ?>
		</div>
		
		<p class="submit">
			<a href="javascript:ButtonDialog.insert(ButtonDialog.local_ed);" class="button-primary">
				<?php _e('Insert in post', 'wolf'); ?>
			</a>
		</p>
	</form>
</div>
</body>
</html>