<?php
/**
 * We define the parent theme template name in case a child theme is used 
 */
define( 'WOLF_THE_THEME', 'flycase' );

/** 
 * Sets up the content width value based on the theme's design.
 */
if ( ! isset( $content_width ) ) 
	$content_width = 745;

/**
 *  Require the core framework file to do the magic
 */
require_once get_template_directory() . '/wp-wolf-framework/wp-wolf-core.php';

/**
 * We use the Wolf_Theme class to set up the main theme structure in one single array (framework/wolf-core.php).
 * It is recommended to keep the variable name as "$wolf_theme".
 */
$wolf_theme = array(

	/* Menus (id => name) */
	'menus' => array(
		'primary' => 'Main Menu',
		'secondary' => 'Top Menu',
		'tertiary' => 'Bottom Menu',
	),


	/**
	 *  The thumbnails :
	 *  We define wordpress thumbnail sizes that we will use in our design
	 */
	'images' => ( array(
		
		/**
		 *  parameters in the thumbnail array :
		 *  int : max width
		 *  int : max height
		 *  boolean : ture/false -> hardcrop or not
		 */
		
		/*----------------------------------*
		 * Default post image
		 */
		'image-thumb' => array( 800, 1000, false ),


		/*----------------------------------*
		* Release thumb
		*/
		'item-thumb' => array(410, 410, true),


		/*----------------------------------*
		 * Slides
		 */
		'post-slide' => array( 800, 400, true ),
		'slide' => array( 1200, 1000, false ),

		/*----------------------------------*
		 * Masonry Gallery
		 */
		'masonry-thumb' => array( 410, 700, false ),

		/*----------------------------------*
		 * Big image
		 */
		'extra-large' => array( 1920, 1280, false ),


		/*----------------------------------*
		 * RSS image
		 */
		'archive-thumb' => array( 400, 300, false )
	) ),

	/* Include helpers from the includes/helpers folder */
	'helpers' => array(
		'google-fonts', 
		'video-thumbnails',
		'social-meta'
	),

	'woocommerce' => true

);
$wolf_do_theme = new Wolf_Framework( $wolf_theme );

// Recommend plugins with TGM plugins activation
include( 'includes/admin/plugins/plugins.php' );