<?php
/**
 * The Template for displaying all single blog posts.
 *
 */
get_header();
wolf_post_before();
?>
	<?php /* The loop */ ?>
	<?php while ( have_posts() ) : the_post(); ?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<?php wolf_post_start(); ?>
		<section id="post-media">
			<?php get_template_part( 'partials/post', 'media' ); ?>
		</section>
		<section id="post-content" class="clearfix">
			
			<div id="primary" class="content-area">
				<div id="content" class="site-content" role="main">
					<?php // if ( wolf_content() != '' ) : ?>
					<div class="entry-content">
						<?php echo wolf_content(); ?>
						<?php wolf_share_links( wolf_get_theme_option( 'show_share_box_single' ) ); ?>
						<?php wolf_author_meta(); ?>
					</div>
					<?php // endif; ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'wolf' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) ); ?>
				</div><!-- #content -->
			</div><!-- #primary -->

			<aside id="secondary">
				<div class="entry-meta">
					<?php wolf_entry_meta(); ?>
					<?php if ( comments_open() ) : ?>
					<span class="comments-link single-post-comments-link">
						<?php comments_popup_link( '<span class="leave-reply">' . __( 'Leave a comment', 'wolf' ) . '</span>', __( 'One comment so far', 'wolf' ), __( 'View all % comments', 'wolf' ) ); ?>
					</span><!-- .comments-link -->
					<?php endif; // comments_open() ?>
					<?php edit_post_link( __( 'Edit', 'wolf' ), '<span class="edit-link">', '</span>' ); ?>
				</div>
			</aside><!-- #secondary -->
		
		</section><!-- #post-content -->
		<?php wolf_post_end(); ?>
		
		<section id="comments-container" class="clearfix">
			<div class="wrap">
				<?php comments_template(); ?>
			</div><!-- .wrap -->
		</section><!-- #comments-container -->
		
		<?php wolf_post_nav(); ?>
	</article><!-- article.post -->
	<?php endwhile; ?>
<?php 
wolf_post_after();
get_footer(); 
?>